Bug 30175 - Digest options not enabled when populating messaging preferences for a selected category during patron entry
Summary: Digest options not enabled when populating messaging preferences for a select...
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on: 13613
Blocks:
  Show dependency treegraph
 
Reported: 2022-02-24 12:10 UTC by Nick Clemens
Modified: 2022-07-15 09:24 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30175: Toggle digest boxes when loading messaging preferences (1.68 KB, patch)
2022-02-24 12:14 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 30175: Toggle digest boxes when loading messaging preferences (1.74 KB, patch)
2022-02-24 15:15 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 30175: Toggle digest boxes when loading messaging preferences (1.80 KB, patch)
2022-03-24 17:02 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2022-02-24 12:10:58 UTC
To recreate:
1 - Define default messaging preferences for a patron category, checking a transport and the digest only boxes
2 - Create a new patron of a different category
3 - Change the category to the one set above
4 - Note that checkboxes are checked, but digest boxes are disabled
5 - Save patron - the digest boxes are not saved
Comment 1 Nick Clemens 2022-02-24 12:14:10 UTC
Created attachment 131062 [details] [review]
Bug 30175: Toggle digest boxes when loading messaging preferences

To test:
1 - Define default messaging preferences for a patron category, checking a transport and the digest only boxes
2 - Create a new patron of a different category
3 - Change the category to the one set above
4 - Note that checkboxes are checked, but digest boxes are disabled
5 - Save patron - the digest boxes are not saved
6 - Apply patch
7 - Repeat 2&3
8 - Note checkboxes for digest are checked and enabled
9 - Save patron and confirm options are saved
Comment 2 Lucas Gass 2022-02-24 15:15:42 UTC
Created attachment 131064 [details] [review]
Bug 30175: Toggle digest boxes when loading messaging preferences

To test:
1 - Define default messaging preferences for a patron category, checking a transport and the digest only boxes
2 - Create a new patron of a different category
3 - Change the category to the one set above
4 - Note that checkboxes are checked, but digest boxes are disabled
5 - Save patron - the digest boxes are not saved
6 - Apply patch
7 - Repeat 2&3
8 - Note checkboxes for digest are checked and enabled
9 - Save patron and confirm options are saved

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Martin Renvoize 2022-03-24 17:02:56 UTC
Created attachment 132192 [details] [review]
Bug 30175: Toggle digest boxes when loading messaging preferences

To test:
1 - Define default messaging preferences for a patron category, checking a transport and the digest only boxes
2 - Create a new patron of a different category
3 - Change the category to the one set above
4 - Note that checkboxes are checked, but digest boxes are disabled
5 - Save patron - the digest boxes are not saved
6 - Apply patch
7 - Repeat 2&3
8 - Note checkboxes for digest are checked and enabled
9 - Save patron and confirm options are saved

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2022-03-24 17:03:19 UTC
Works as expected, no regressions found

PQA
Comment 5 Fridolin Somers 2022-03-25 21:02:00 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄